\begin{tikzpicture}
  % labels
  \node at (1,-1.5) {\verb|G.main_g|};
  \node at (10.5,-1.5) {\verb|G.conflict_g|};

  % graph
  \node[draw,fill=black,circle,inner sep=1pt](a) at (0,0) {};
  \node[xshift=-.2cm,yshift=0cm] at (a) {$a$}; 
  \node[draw,fill=black,circle,inner sep=1pt](b) at (1,0.8) {};
  \node[xshift=0cm,yshift=0.2cm] at (b) {$b$}; 
  \node[draw,fill=black,circle,inner sep=1pt](c) at (1,-.8) {};
  \node[xshift=0cm,yshift=-0.2cm] at (c) {$c$};
  \node[draw,fill=black,circle,inner sep=1pt](d) at (2,-0) {};
  \node[xshift=0.2cm,yshift=0cm] at (d) {$d$};
  
  % properties of vertex d
  \node[right,yshift=-0.3cm] at (d) {
  	\verb|.conflict_vertices|\quad
  	\begin{tabular}{|c|c|c|}
  	  \hline
  	  $\!\!d_0\!\!$ & $\!\!d_1\!\!$ & $\!\!d_2\!\!$\\
  	  \hline
  	\end{tabular}
  };
  \node[right,yshift=-0.6cm] at (d) {
  	\verb|.num_colors|\quad $3$
  };

  % edges 
  \draw (a)--(b);
  \draw (a)--(c);
  \draw (b)--(c);
  \draw (c)--(d); 

  % SoC M
  \vtwo(9,0.2,a1,a2); 
  \hthree(10.5,1,b1,b2,b3);
  \htwo(10.5,-1,c1,c2);
  \vthree(12,.3,d1,d2,d3);

  % edge ab
  \draw (a1)--(b1);
  \draw[black!40] (a1)--(b3);
  \draw (a2)--(b1);\draw (a2)--(b2);
  % edge ac
  \draw(a1)--(c2);
  \draw (a2)--(c1);
  % edge bc
  \draw (b1)--(c1);
  \draw (b3)--(c1);\draw (b3)--(c2);
  % edge cd
  \draw (c1)--(d2);\draw (c1)--(d3);
  \draw (c2)--(d1);

  % d in conflict graph
  \node[right,xshift=0.2cm] at (d1) {$d_0$};
  \node[right,xshift=0.2cm] at (d2) {$d_1$};
  \node[right,xshift=0.2cm] at (d3) {$d_2$};
  % properties of d_2
  \node[right,xshift=0.2cm,yshift=-0.3cm] at (d3) {
  	\verb|.main_vertex|\quad $d$
  };
  \node[right,xshift=0.2cm,yshift=-0.6cm] at (d3) {
  	\verb|.color_index|\quad $2$
  };
\end{tikzpicture}